diff -r df3df20e541b gtk/PlatGTK.cxx
--- a/gtk/PlatGTK.cxx	Mon May 31 10:48:48 2021 +1000
+++ b/gtk/PlatGTK.cxx	Fri Sep 10 16:27:15 2021 +1000
@@ -1068,7 +1068,31 @@
 
 // Ascent and descent determined by Pango font metrics.
 
+static void ShowPangoFontData(PangoContext *pcontext, PangoFontDescription *pfd) {
+	static bool showVersion = true;
+	if (showVersion) {
+		fprintf(stderr, "Pango %s %s\n",
+			PANGO_VERSION_STRING, pango_version_string());
+		showVersion = false;
+	}
+
+	PangoFontMetrics *metrics = pango_context_get_metrics(pcontext,
+		pfd, pango_context_get_language(pcontext));
+	const double ascent = pango_units_to_double(pango_font_metrics_get_ascent(metrics));
+	const double descent = pango_units_to_double(pango_font_metrics_get_descent(metrics));
+#if PANGO_VERSION_CHECK(1,44,0)
+	const double height = pango_units_to_double(pango_font_metrics_get_height(metrics));
+#else
+	const double height = 0;
+#endif
+	fprintf(stderr, "%s, %g   Ascent: %g   Descent %g   Height %g %g\n",
+		pango_font_description_get_family(pfd),
+		pango_units_to_double(pango_font_description_get_size(pfd)),
+		ascent, descent, height, ascent+descent);
+}
+
 XYPOSITION SurfaceImpl::Ascent(const Font *font_) {
+	ShowPangoFontData(pcontext, PFont(font_)->pfd);
 	XYPOSITION ascent = 0;
 	if (PFont(font_)->pfd) {
 		PangoFontMetrics *metrics = pango_context_get_metrics(pcontext,
